plugin.tx_browser_pi1 {
  # cat=BrowserMaps - leaflet plugins*//100;           type=string;    label= Google Maps Api: External link to the Google API. Without protocol (no http, nor https). Protocol is taken from [BROWSERMAPS - PROTOCOL]. API is needed for the Google Tile Layer below. 
  map.leafletplugins.googleApi                = maps.google.com/maps/api/js
  # cat=BrowserMaps - leaflet plugins*//101;           type=string;    label= Google Maps Api Key*: [OBLIGATE!] See https://developers.google.com/maps/documentation/javascript/get-api-key and https://console.developers.google.com/apis/credentials (you need an google account and you must logged in).
  map.leafletplugins.googleApiKey             = YourGoogleApiKey__See_at_Constant_Editor__BROWSERMAPS_-_LEAFLET_PLUGINS__Api_Key
  # cat=BrowserMaps - leaflet plugins*//102;           type=string;    label= Google Tile Layer:Script is needed for using Google Maps.
  map.leafletplugins.layertilegoogle          = EXT:leaflet/Resources/Public/Plugins/leaflet-plugins/1.2.1/layer/tile/Google.js
  # cat=BrowserMaps - leaflet plugins*//200;           type=string;    label= Master Clustering:Script is needed for clustering marker.
  map.leafletplugins.mastercluster            = EXT:leaflet/Resources/Public/Plugins/Leaflet.markercluster/0.4.0/2013-12-19/dist/leaflet.markercluster.js
  # cat=BrowserMaps - leaflet plugins*//200;           type=string;    label= Master Clustering:Script is needed for clustering marker.
  map.leafletplugins.masterclusterCss         = EXT:leaflet/Resources/Public/Plugins/Leaflet.markercluster/0.4.0/2013-12-19/dist/MarkerCluster.css
  # cat=BrowserMaps - leaflet plugins*//200;           type=string;    label= Master Clustering:Script is needed for clustering marker.
  map.leafletplugins.masterclusterCssDefault  = EXT:leaflet/Resources/Public/Plugins/Leaflet.markercluster/0.4.0/2013-12-19/dist/MarkerCluster.Default.css
  # cat=BrowserMaps - leaflet plugins*/others/999;     type=user[EXT:browser/Classes/Utility/UserFunc/ExtManager.php:Netzmacher\Browser\Utility\UserFunc\ExtManager->promptExternalLinks]; label=Helping Links
  map.leafletplugins.links = Click me!
}
