plugin.tx_browser_pi1 {
  displayList {
      // 140703: empty statement: for proper comments only
    master_templates {
    }
      // areas
    master_templates =
    master_templates {
        // sample_currency, sample_period
      areas =
      areas {
        sample_currency = 1
        sample_currency {
          faq = Tutorial: http://typo3.org/extensions/repository/view/browser_tut_search_en/current/
            // [BOOLEAN] 1: One field - with individual from-to-string, 0: Don't take it
          strings = 1
          strings {
            faq = FAQ: How to configure first_item, hits and nice_piVar?
            faq {
              first_item    = Properties for the first_item will be taken from first_item above
              display_hits  = Properties will be taken from wrap.item above
              nice_piVar    = Property will be taken from nice_piVar above
            }
            label_stdWrap {
              data = LLL:EXT:browser/pi1/locallang.xml:label_fromTo
            }
            options {
              faq = FAQ: How do I configure a currency area?
              faq {
                area      = Define valueFrom and valueTo. If one is empty it is unlimited.
                keys      = A key of an item should be an integer like: 10, 20, 30, 40, etc.
                10_to_30  = Example for three items of a currency area
              }
              fields {
                10 {
                  comment = Upto 10.000 EUR
                  valueFrom_stdWrap {
                    value =
                  }
                  valueTo_stdWrap {
                    value = 10000
                  }
                  value_stdWrap {
                    value = Upto 10.000 EUR
                    lang {
                      de = Bis 10.000 EUR
                    }
                  }
                }
                20 {
                  comment = From 10.000 EUR to 20.000 EUR
                  valueFrom_stdWrap {
                    value = 10000
                  }
                  valueTo_stdWrap {
                    value = 20000
                  }
                  value_stdWrap {
                    value = 10.000 - 20.000 EUR
                  }
                }
                30 {
                  comment = From 20.000 EUR without any limit
                  valueFrom_stdWrap {
                    value = 20000
                  }
                  valueTo_stdWrap {
                    value =
                  }
                  value_stdWrap {
                    value = From 20.000 EUR
                    lang {
                      de = Ab 20.000 EUR
                    }
                  }
                }
              }
            }
          }
        }
        sample_period = 1
        sample_period {
          faq = Tutorial: http://typo3.org/extensions/repository/view/browser_tut_search_en/current/
            // [BOOLEAN] 1: One field - with individual from-to-string, 0: Don't take it
          strings = 0
          strings {
            faq = FAQ: How to configure first_item, hits and nice_piVar?
            faq {
              first_item    = Properties for the first_item will be taken from first_item above
              display_hits  = Properties will be taken from wrap.item above
              nice_piVar    = Property will be taken from nice_piVar above
            }
            label_stdWrap {
              data = LLL:EXT:browser/pi1/locallang.xml:label_fromTo
            }
              // [STRING: number || string] number: sql query with >= and <=, string: sql query with LIKE ???
            sql = number
            options {
              faq = FAQ: How do I configure an area for a period?
              faq {
                area      = Define valueFrom and valueTo. If one is empty it is unlimited.
                keys      = A key of an item should be an integer like: 10, 20, 30, 40, etc.
              }
              fields {
                10 {
                  comment = Before 2010
                  valueFrom_stdWrap {
                    value =
                  }
                  valueTo_stdWrap {
                    value = 1262300400
                  }
                  value_stdWrap {
                    value = Before 2010
                    lang {
                      de = Vor 2010
                    }
                  }
                }
                20 {
                  comment = From 2010 to 2011
                  valueFrom_stdWrap {
                    value = 1262300400
                  }
                  valueTo_stdWrap {
                    value = 1293836400
                  }
                  value_stdWrap {
                    value = 2010 - 2011
                  }
                }
                30 {
                  comment = After 2011
                  valueFrom_stdWrap {
                    value = 1293836400
                  }
                  valueTo_stdWrap {
                    value =
                  }
                  value_stdWrap {
                    value = After 2011
                    lang {
                      de = Nach 2011
                    }
                  }
                }
              }
            }
          }
          interval = 1
          interval {
              // [BOOLEAN]: 1: dates are converted to timestamp. 0: undefined
            compare_wiTimeStamp = 1
              // [STRING] 'day', 'week', 'month' or 'year'. Internal #i0372
            case = {$plugin.tx_browser_pi1.areas.case}
            day {
              start_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: -1 year, 2010, now, today 0:00, next year
                  value = {$plugin.tx_browser_pi1.areas.day.start_period}
                }
              }
              selected_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: last Monday, -1 day, now, today 0:00, next Monday
                  value = {$plugin.tx_browser_pi1.areas.day.selected_period}
                }
              }
              times_stdWrap {
                  // [INTEGER] Display the period n times
                value = {$plugin.tx_browser_pi1.areas.day.times}
              }
              value_stdWrap {
                  // [STRING] Leave it empty! It will be handled while runtime.
                value =
                  // [STRING] See php method strftime
                strftime = {$plugin.tx_browser_pi1.areas.day.strftime}
              }
              url_stdWrap {
                  // PHP strftime: %Y example: 2010
                strftime      = {$plugin.tx_browser_pi1.areas.day.strftime}
                rawUrlEncode  = 1
              }
            }
            week {
              firstday_stdWrap {
                  // [INTEGER] 1: Mon, 2: Thu, ... 7: Sun
                value = 1
              }
              start_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: -1 year, 2010, now, today 0:00, next year
                  value = {$plugin.tx_browser_pi1.areas.week.start_period}
                }
              }
              selected_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: last Monday, -1 day, now, today 0:00, next Monday
                  value = {$plugin.tx_browser_pi1.areas.week.selected_period}
                }
              }
              times_stdWrap {
                  // [INTEGER] Display the period n times
                value = {$plugin.tx_browser_pi1.areas.week.times}
              }
              value_stdWrap {
                  // [STRING] Leave it empty! It will be handled while runtime.
                value =
                  // [STRING] See php method strftime
                strftime = {$plugin.tx_browser_pi1.areas.week.strftime}
              }
              url_stdWrap {
                  // PHP strftime: %Y example: 2010
                strftime      = {$plugin.tx_browser_pi1.areas.week.strftime}
                rawUrlEncode  = 1
              }
            }
            month {
              start_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: -1 year, 2010, now, today 0:00, next year
                  value = {$plugin.tx_browser_pi1.areas.month.start_period}
                }
              }
              selected_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: last Monday, -1 day, now, today 0:00, next Monday
                  value = {$plugin.tx_browser_pi1.areas.month.selected_period}
                }
              }
              times_stdWrap {
                  // [INTEGER] Display the period n times
                value = {$plugin.tx_browser_pi1.areas.month.times}
              }
              value_stdWrap {
                  // [STRING] Leave it empty! It will be handled while runtime.
                value =
                  // [STRING] See php method strftime
                strftime = {$plugin.tx_browser_pi1.areas.month.strftime}
              }
              url_stdWrap {
                  // PHP strftime: %Y example: 2010
                strftime      = {$plugin.tx_browser_pi1.areas.month.strftime}
                rawUrlEncode  = 1
              }
            }
            year {
              start_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: -1 year, 2010, now, today 0:00, next year
                  value = {$plugin.tx_browser_pi1.areas.year.start_period}
                }
              }
              selected_period {
                  // [BOOLEAN] 1: Value is handled after stdWrap with php strtotime. 0: stdWrap only.
                use_php_strtotime = 1
                stdWrap {
                    // Examples with strtotime: last Monday, -1 day, now, today 0:00, next Monday
                  value = {$plugin.tx_browser_pi1.areas.year.selected_period}
                }
              }
              times_stdWrap {
                  // [INTEGER] Display the period n times
                value = {$plugin.tx_browser_pi1.areas.year.times}
              }
              value_stdWrap {
                  // [STRING] Leave it empty! It will be handled while runtime.
                value =
                  // [STRING] See php method strftime
                strftime = {$plugin.tx_browser_pi1.areas.year.strftime}
              }
              url_stdWrap {
                  // PHP strftime: %Y example: 2010
                strftime      = {$plugin.tx_browser_pi1.areas.year.strftime}
                rawUrlEncode  = 1
              }
            }
          }
        }
      }
    }
  }
}