plugin.tx_browser_pi1 {
  displayList {
      // 140703: empty statement: for proper comments only
    master_templates {
    }
      // radiobuttons
    master_templates =
    master_templates {
        // Master template for radio buttons
      radiobuttons = RADIOBUTTONS
      radiobuttons {
          // If condition is met, filter will display. If not, filter will hide.
        condition = TEXT
        condition {
            // True (default)
          value = 1
        }
          // [String/optional] Name for the piVar. Name must be unique.
        nice_piVar =
          // [Boolean] 1 (default): Hits are counted. 0: Any hit is counted (best performance!)
        count_hits = 1
          // [Boolean] Is a selecting obligatory?
        required = 1
          // [String] OR || AND: OR (default)
        modeAndOr = OR
          // [Boolean]: 1: If value is changing, AJAX will reload the form. 0: No auto reload.
        ajax_onchange = 1
          // [String] Wrap the object
        wrap (
<fieldset class="radiobuttons ###ONCHANGE###">
              <legend>###TITLE###</legend>
                |
            </fieldset>
)
        wrap {
            // [Integer] Space characters from left margin in the HTML code
          nice_html_spaceLeft = 12
          title_stdWrap {
              // [String] Title of the object. If it shouldn't displayed, please delete the title array
            value = ###TABLE.FIELD###
            wrap  = |
          }
            // [String] Wrap the items
          object = |
            // [String] Wrap one item
          item = ###VALUE###
          item {
              // DEPRECATED - please use the cObject! [Boolean] 0: Item without any hit will not be displayed. 1: Any item will be displayed.
            display_without_any_hit = 0
              // [Boolean] 1 (default): If hits aren't counted, the item will displayed (flag_displayInCaseOfNoCounting is set. See cObject). 0: Item won't displayed, if count_hits is 0.
            displayInCaseOfNoCounting = 1
              // DEPRECATED - please use the cObject! [Boolean] 1: Items display the number of hits. 0: Items doesn't display any number of hits.
            display_hits = 1
            display_hits {
                // [Boolean] 1: Hits are displayed behind the item. 0: Hits are displayed in front of the item.
              behindItem = 1
              stdWrap {
                noTrimWrap = | (|)|
              }
                // [Boolean] 0 (default): Hit must be greater 0 for displaying. 1: Hit will displayed.
              display_empty_hits = 0
            }
              // [Integer] Space characters from left margin in the HTML code
            nice_html_spaceLeft = 16
              // [String] HTML code for a selected item
            selected = checked="checked"
              // [String] Default HTML class
            class =
              // [String] Default HTML style
            style =
              // DEPRECATED - please use the cObject!
            wraps =
              // Wrap the filter item
            cObject = COA
            cObject {
              wrap = <span class="item">|</span>
                // Input
              10 = TEXT
              10 {
                value       = <input###CLASS######STYLE### type="radio" name="###TABLE.FIELD###" id="###ID###" value="###UID###"###ITEM_SELECTED###>
                noTrimWrap  = | ||
              }
                // Label
              20 = COA
              20 {
                wrap = <label for="###ID###">|</label>
                  // Value in case of a value
                20 = TEXT
                20 {
                  if {
                    isTrue = ###VALUE###
                  }
                  value             = ###VALUE###
                  htmlSpecialChars  = 1
                  crop              = 60 | ... | 1
                }
                  // Value in case of no value
                21 = TEXT
                21 {
                  if {
                    isTrue  = ###VALUE###
                    negate  = 1
                  }
                  data = LLL:EXT:browser/pi1/locallang.xml:label_selectbox_noValue
                }
                  // Hits
                30 = TEXT
                30 {
                  if {
                      // Display hits only in case of one hit at least
                    isTrue {
                      field = hits
                    }
                  }
                  field = hits
                  noTrimWrap  = | (|)|
                }
              }
              if {
                isTrue {
                    // Display with hits only or in case of a tree view
                  cObject = COA
                  cObject {
                      // field = hits
                    10 = TEXT
                    10 {
                      field = hits
                    }
                      // field = tx_browser_pi1.flag_displayInCaseOfNoCounting
                    20 = TEXT
                    20 {
                      field = tx_browser_pi1.flag_displayInCaseOfNoCounting
                    }
                  }
                }
              }
            }
          }
            // [Integer] Maximum items per row. 0: unlimited
          itemsPerRow = 3
          itemsPerRow {
              // [String] Wrap the row
            wrap = <div class="radio-row radio-row-###EVEN_ODD###">|</div>
              // [String] if there aren't enough items to fill up a row
            noItemValue = &nbsp;
          }
        }
        order {
            // [String] value || uid
          field = value
            // [String] ASC || DESC
          orderFlag = ASC
        }
        sql {
            // [String, SQL] And where statement. Example: tt_news_cat.author.field LIKE 'A%' AND tt_news.uid < 99
          andWhere =
        }
          // [BOOLEAN] You have to allocate one of the areas of the mastertemplate
        area = 0
      }
    }
  }
}