plugin.tx_browser_pi1 {

  # cat=Browser - Templates - List - Image 3*//100;         type=string;     label= Table*:(Obligate!) Table, which manages the file. I.e: tx_org_service
  templates.listview.image.3.table      =
  # cat=Browser - Templates - List - Image 3*//101;         type=string;     label= Field*:(Obligate!) Field with the file name. I.e: image
  templates.listview.image.3.field      =
  # cat=Browser - Templates - List - Image 3*//110;         type=string;     label= Height field*:(Obligate!) Field with the height of the image.
  templates.listview.image.3.height					= 
  # cat=Browser - Templates - List - Image 3*//111;         type=string;     label= Height default:Height of the image in pixel. Has an effect, if field height isn't set or is 0. I.e: width = 120c and height = 80c crops 120x80px from the center of the scaled image. Width = 100c-100 and height = 100c crops 100x100px from landscape-images at the left and portrait- images centered. Width = 100c+30 height = 100c-25 crops 100x100px from landscape-images a bit right of the center and portrait-images a bit higher than centered.
  templates.listview.image.3.heightDefault	= 70c
  # cat=Browser - Templates - List - Image 3*//112;         type=string;     label= Width field*:(Obligate!) Field with the width of the image.
  templates.listview.image.3.width					= 
  # cat=Browser - Templates - List - Image 3*//113;         type=string;     label= Width default:Width of the image in pixel. Has an effect, if field width isn't set or is 0. See details  at height above.
  templates.listview.image.3.widthDefault		= 70c
  # cat=Browser - Templates - List - Image 3*//120;         type=int+;       label= Begin:The record position of the first image. 0:first, 1:second, 2:third, 3:...
  templates.listview.image.3.listNum    = 0
  # cat=Browser - Templates - List - Image 3*//121;         type=int+;       label= Max items:Maximum amount of images
  templates.listview.image.3.maxItems   = 1
  # cat=Browser - Templates - List - Image 3*//200;         type=options[enabled,disabled];     label= FAL:Disable the FAL (File Abstraction Layer) for this record, if the TCA object of your record isn't FILES but IMAGE or FILE. Please configure the next two properties below too. (Internal #t0774)
  templates.listview.image.3.FAL  = enabled
  # cat=Browser - Templates - List - Image 3*//201;         type=string;     label= File*:(Obligate, if FAL is disabled!) Field with the file name. I.e: tx_org_service.image
  templates.listview.image.3.file       = 
  # cat=Browser - Templates - List - Image 3*//202;         type=string;     label= Path*:(Obligate, if FAL is disabled) Path to the images (with ending backslash!). I.e: uploads/tx_org/
  templates.listview.image.3.path       =
  # cat=Browser - Templates - List - Image 3*//203;         type=string;     label= Default image:If FAL is disabled the full qualified path to the default image. I.e: EXT:browser/Resources/Public/Images/Icons/browser_default_300x200.gif
  templates.listview.image.3.default    = EXT:browser/Resources/Public/Images/Icons/browser_default_300x200.gif
  # cat=Browser - Templates - List - Image 3*//300;         type=options[data,default,picture,srcset];     label= Render layout:data: renders an image tag containing data-keys for the different resolutions. default: renders a normal non-responsive image as a <img> tag. picture: renders a picture tag containing source tags for each resolutions and an <img> tag for the default image. srcset: renders an image tag pointing to a set of images for the different resolutions.
  templates.listview.image.3.layoutKey  = default
  # cat=Browser - Templates - List - Image 3*//others/999;  type=user[EXT:browser/Classes/Utility/UserFunc/ExtManager.php:Netzmacher\Browser\Utility\UserFunc\ExtManager->promptExternalLinks]; label=Helping Links
  templates.listview.image.3.links      = Click me!

}